[GET] ~/criteria/locations

Gets the locations in this collection.

Request Information

URI Parameters

None.

Body Parameters

None.

Request Formats

None.

Response Information

Resource Description

An enumerator that allows foreach to be used to process the locations in this collection.

An instance of: Collection of Location
NameDescriptionType
Index

The zero-based index of this location.

integer

Address1

The first address line.

string

Address2

The second address line.

string

Zip

The postal code (ZIP code).

string

Town

The town.

string

Country

The country.

string

CountryCode

The two-letter country code (according to ISO 3166-1 Alpha-2).

string

Name

The company name.

string

Currency

The currency code to be used for this location.

string

Vat

The VAT (value added tax) percentage used for this location.

decimal number

KuerzelIds

A list of identifiers of the internal accounts.

Collection of integer

Value

A comma-separated string representation of the identifiers of the internal accounts. Use this value in the search request, when the user selects this location.

string

Label

A label for this location.

string

Selected

Indicates, if this location is currently selected.

boolean

Selectable

Indicates, if the location should be selectable by the user.

boolean

PhoneCountry

The phone country code.

string

PhonePrefix

The phone prefix.

string

Phone

The phone number.

string

FaxCountry

The fax country code.

string

FaxPrefix

The fax prefix.

string

Fax

The fax number.

string

Response Formats

application/json, text/json

Sample:
[
  {
    "index": 1,
    "address1": "sample string 2",
    "address2": "sample string 3",
    "zip": "sample string 4",
    "town": "sample string 5",
    "country": "sample string 6",
    "countryCode": "sample string 7",
    "name": "sample string 8",
    "currency": "sample string 9",
    "vat": 1.1,
    "kuerzelIds": [
      1,
      2
    ],
    "value": "sample string 10",
    "label": "sample string 11",
    "selected": true,
    "selectable": true,
    "phoneCountry": "sample string 14",
    "phonePrefix": "sample string 15",
    "phone": "sample string 16",
    "faxCountry": "sample string 17",
    "faxPrefix": "sample string 18",
    "fax": "sample string 19"
  },
  {
    "index": 1,
    "address1": "sample string 2",
    "address2": "sample string 3",
    "zip": "sample string 4",
    "town": "sample string 5",
    "country": "sample string 6",
    "countryCode": "sample string 7",
    "name": "sample string 8",
    "currency": "sample string 9",
    "vat": 1.1,
    "kuerzelIds": [
      1,
      2
    ],
    "value": "sample string 10",
    "label": "sample string 11",
    "selected": true,
    "selectable": true,
    "phoneCountry": "sample string 14",
    "phonePrefix": "sample string 15",
    "phone": "sample string 16",
    "faxCountry": "sample string 17",
    "faxPrefix": "sample string 18",
    "fax": "sample string 19"
  }
]